using System;
    public class Program{
        public static void Main(){
            int N,L,m;
           string[] s=Console.ReadLine().Split();
            N=int.Parse(s[0]);
            L=int.Parse(s[1]);
            int[] amogus = new int[5];
            int resenje= -1;
            m=0;
            s=Console.ReadLine().Split();
            bool do_kraja = true;
            for(int i=0;i<N;i++){
                 amogus[i]=int.Parse(s[i]);
                 m++;
                if(amogus[i]<=L){
                    do_kraja = false;
                    break;
                }
            }
            if(m<1 || do_kraja){
                Console.WriteLine(resenje);
            }
            else {
                Console.WriteLine(m);
            }
        }
    }